{% extends 'dashboard/_layout/layout_dashboard_v2.html.twig' %}

{% block title %}Dashboard {{ parent() }}{% endblock %}

{% block facebook_pixel_events %}
    {% if app.environment == 'prod' %}
        {% if from is defined %}
            {% if from == 'try' %}
                <script>
                    fbq('track', 'StartTrial');
                </script>
            {% endif %}

            {% if from == 'buy' %}
                <script>
                    fbq('track', 'Subscribe');
                </script>
            {% endif %}
        {% endif %}
    {% endif %}
{% endblock %}

{% block content %}
    <div class="container">
        <div class="row pt-4">
            <div class="col-lg-8">
                <div class="card border-radius-10">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-8 align-self-end">
                                <div class="timer-data">
                                    <div class="icon-info mb-4">
                                        <i class="dripicons-user bg-soft-dark"></i>
                                    </div>
                                    <h4 class="mt-0 text-dark font-weight-bold mb-0">{{ app.user.firstName }} {{ app.user.lastName }}</h4>
                                    <p class="text-muted font-weight-light mb-0 font-14">Reavant House
                                        Services</p>
                                </div>
                            </div><!--end col-->
                            <div class="col-4 align-self-end text-right">
                                <button class="btn btn-soft-primary py-1 col-8" data-toggle="modal"
                                        data-target="#createPropertyModal">Create Property
                                </button>
                            </div><!--end col-->
                        </div><!--end row-->
                    </div><!--end card-body-->
                </div><!--end card-->
            </div>

            {% if customer.isOnTrialPeriod %}
            <div class="col-lg-8">
                <div class="card border-radius-10">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12">
                                <div class="timer-data border-bottom-dashed">
                                    <h5 class="mt-0 text-dark font-weight-bold mb-4">Alert</h5>
                                </div>
                            </div>
                            <div class="col-12 my-3">
                                <i data-feather="alert-triangle"
                                   class="alert-icon text-warning align-self-center mr-3"></i>
                            </div>
                            <div class="col-12">
                                <div class="row">
                                    <div class="col-8 align-content-end text-left">
                                        <p class="mb-0">Your trial will end in <b>{{ customer.trialPeriodDaysRemaining }} days.</b> Some features will be unavailable after your trial period ends. To keep using Reavant, add billing info.</p>
                                    </div><!--end col-->
                                    <div class="col-4 align-self-end text-right">
                                        <a href="{{ path('home_buy') }}" class="btn btn-soft-warning py-1 col-8">Add billing info
                                        </a>
                                    </div><!--end col-->
                                </div><!--end row-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            {% endif %}

            <div class="col-lg-8">
                <div class="card border-radius-10">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 align-self-end">
                                <div class="timer-data">
                                    <h4 class="mt-0 text-dark font-weight-bold mb-4">Recent Properties</h4>

                                    <div class="table-responsive browser_users">
                                        <table class="table table-hover mb-0">
                                            <thead class="thead-light">
                                            <tr>
                                                <th class="border-top-0">Name</th>
                                                <th class="border-top-0">Address</th>
                                                <th class="border-top-0">Status</th>
                                            </tr><!--end tr-->
                                            </thead>
                                            <tbody>
                                            {% for property in properties %}
                                                <tr class="row-link"
                                                    data-href="{{ path('app_dashboard_property_view', {propertyIdEncoded: property.IdEncoded}) }}">
                                                    <td>
                                                        <h6 class="mb-0">{{ property.name }}</h6>
                                                        <small class="text-muted">{{ property.description }}</small>
                                                    </td>
                                                    <td>
                                                        <h6 class="mb-0">{{ property.address.streetAddress }}</h6>
                                                        <small class="text-muted">{{ property.address.city }}
                                                            , {{ property.address.zipCode }} {{ property.address.state }}</small>
                                                    </td>
                                                    <td>{{ property.status | property_status }}</td>
                                                </tr><!--end tr-->
                                            {% endfor %}
                                            </tbody>
                                        </table> <!--end table-->
                                    </div><!--end /div-->

                                    <a href="{{ path('app_dashboard_properties_list') }}"
                                       class="btn btn-soft-secondary mt-3 col-12">See All Properties</a>
                                </div>
                            </div><!--end col-->
                        </div><!--end row-->
                    </div><!--end card-body-->
                </div><!--end card-->
            </div><!--end col-->
        </div><!--end row-->
    </div><!-- container -->
{% endblock %}

{% block modals %}
    {{ parent() }}

    {% embed 'dashboard/property/_component/create_property_modal.html.twig' with {'createPropertyForm': createPropertyForm} %}{% endembed %}
{% endblock %}